services:
  ssh:
    build: ./ssh
    environment:
      - "USER_PID={{ ssh_user_pid }}"
      - "GROUP_PID={{ ssh_group_pid }}"
      - "USER_NAME={{ ssh_user_name }}"
    restart: always
    ports:
      - "{{ ssh_port }}:22"
    volumes:
      - ./authorized_keys:/home/{{ ssh_user_name }}/.ssh/authorized_keys:ro
      - ./data-repertory:/home/{{ ssh_user_name }}:rw
      - ./server_keys:/server_keys/:rw
      - ./internal_keys:/home/{{ ssh_user_name }}/.ssh/:rw
